
#include "model/server.h"
#include "controller/main.h"

// Submodules
#include "http/server/server.h"

// Platform libraries
#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <sys/stat.h>
#include <unistd.h>

void init()
{
	mkdir("data",0750);
	mkdir("data/videos",0750);
	mkdir("data/channels",0750);
}

volatile bool terminate;

int main( int argc, char* argv[] )
{
	init();

	struct server_settings settings;
	server_settings_new_composite( &settings );

	struct http_server* srv = http_server_new( &settings.http_args, handle_request, NULL );
	while( !terminate ) {
		http_server_process(srv);
		usleep(25000);
	}
	http_server_release(srv);

	return EXIT_SUCCESS;
}

